Summary:	Light-weight cryptographic and SSL/TLS library
Summary(pl.UTF-8):	Lekka biblioteka kryptograficzna oraz SSL/TLS
Name:		polarssl
Version:	1.3.9
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	https://polarssl.org/code/releases/%{name}-%{version}-gpl.tgz
# Source0-md5:	48af7d1f0d5de512cbd6dacf5407884c
Patch0:		x32.patch
URL:		https://polarssl.org/
BuildRequires:	cmake >= 2.6
BuildRequires:	doxygen
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PolarSSL is a light-weight open source cryptographic and SSL/TLS
library written in C. PolarSSL makes it easy for developers to include
cryptographic and SSL/TLS capabilities in their (embedded)
applications with as little hassle as possible.

%description -l pl.UTF-8
PolarSSL to lekka, mająca otwarte źródła biblioteka kryptograficzna
oraz SSL/TLS napisana w C. PolarSSL ułatwia programistom dołączanie
funkcji kryptograficznych i SSL/TLS do swoich (wbudowanych) aplikacji
przy jak najmniejszym narzucie.

%package devel
Summary:	Development files for PolarSSL
Summary(pl.UTF-8):	Pliki programistyczne biblioteki PolarSSL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for developing applications
that use PolarSSL.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę PolarSSL.

%package static
Summary:	Static PolarSSL library
Summary(pl.UTF-8):	Statyczna biblioteka PolarSSL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PolarSSL library.

%description static -l pl.UTF-8
Statyczna biblioteka PolarSSL.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DLIB_INSTALL_DIR:PATH=%{_libdir} \
	-DUSE_SHARED_POLARSSL_LIBRARY:BOOL=1

%{__make}
%{__make} apidoc

%if %{with tests}
# Tests are not stable on 64-bit
ctest --output-on-failure
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libpolarssl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolarssl.so.7
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/aescrypt2
%attr(755,root,root) %{_libdir}/%{name}/benchmark
%attr(755,root,root) %{_libdir}/%{name}/cert_app
%attr(755,root,root) %{_libdir}/%{name}/cert_req
%attr(755,root,root) %{_libdir}/%{name}/cert_write
%attr(755,root,root) %{_libdir}/%{name}/crl_app
%attr(755,root,root) %{_libdir}/%{name}/crypt_and_hash
%attr(755,root,root) %{_libdir}/%{name}/dh_client
%attr(755,root,root) %{_libdir}/%{name}/dh_genprime
%attr(755,root,root) %{_libdir}/%{name}/dh_server
%attr(755,root,root) %{_libdir}/%{name}/gen_entropy
%attr(755,root,root) %{_libdir}/%{name}/gen_key
%attr(755,root,root) %{_libdir}/%{name}/gen_random_ctr_drbg
%attr(755,root,root) %{_libdir}/%{name}/gen_random_havege
%attr(755,root,root) %{_libdir}/%{name}/generic_sum
%attr(755,root,root) %{_libdir}/%{name}/hello
%attr(755,root,root) %{_libdir}/%{name}/key_app
%attr(755,root,root) %{_libdir}/%{name}/md5sum
%attr(755,root,root) %{_libdir}/%{name}/mpi_demo
%attr(755,root,root) %{_libdir}/%{name}/o_p_test
%attr(755,root,root) %{_libdir}/%{name}/pem2der
%attr(755,root,root) %{_libdir}/%{name}/pk_decrypt
%attr(755,root,root) %{_libdir}/%{name}/pk_encrypt
%attr(755,root,root) %{_libdir}/%{name}/pk_sign
%attr(755,root,root) %{_libdir}/%{name}/pk_verify
%attr(755,root,root) %{_libdir}/%{name}/req_app
%attr(755,root,root) %{_libdir}/%{name}/rsa_decrypt
%attr(755,root,root) %{_libdir}/%{name}/rsa_encrypt
%attr(755,root,root) %{_libdir}/%{name}/rsa_genkey
%attr(755,root,root) %{_libdir}/%{name}/rsa_sign
%attr(755,root,root) %{_libdir}/%{name}/rsa_verify
%attr(755,root,root) %{_libdir}/%{name}/selftest
%attr(755,root,root) %{_libdir}/%{name}/sha1sum
%attr(755,root,root) %{_libdir}/%{name}/sha2sum
%attr(755,root,root) %{_libdir}/%{name}/ssl_cert_test
%attr(755,root,root) %{_libdir}/%{name}/ssl_client1
%attr(755,root,root) %{_libdir}/%{name}/ssl_client2
%attr(755,root,root) %{_libdir}/%{name}/ssl_fork_server
%attr(755,root,root) %{_libdir}/%{name}/ssl_mail_client
%attr(755,root,root) %{_libdir}/%{name}/ssl_pthread_server
%attr(755,root,root) %{_libdir}/%{name}/ssl_server
%attr(755,root,root) %{_libdir}/%{name}/ssl_test
%attr(755,root,root) %{_libdir}/%{name}/strerror

%files devel
%defattr(644,root,root,755)
%doc apidoc/*
%attr(755,root,root) %{_libdir}/libpolarssl.so
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpolarssl.a
%changelog
* Thu May 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/polarssl.git;a=log;h=master

* Thu May 07 2015 Jan Rękorajski <baggins@pld-linux.org> df20974
- fix building on x32
- rel 2

* Fri Jan 09 2015 Łukasz Kieś <kiesiu@pld-linux.org> cfc9df8
- udated to 1.3.9

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 812a26d
- updated to 1.3.8 (note: new soname)

* Sun Jun 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 067efb3
- updated to 1.3.7

* Mon Apr 14 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9b0603b
- updated to 1.3.6
- new soname

* Fri Apr 04 2014 Jakub Bogusz <qboosh@pld-linux.org> b42fc98
- updated to 1.3.5

* Mon Feb 03 2014 Jan Rękorajski <baggins@pld-linux.org> 39db92e
- fix install libdir
- rel 2

* Mon Feb 03 2014 Łukasz Kieś <kiesiu@pld-linux.org> ba8e9f6
- updated to 1.3.4

* Wed Jan 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 7cda89c
- updated to 1.3.3

* Thu Nov 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 4694fb5
- updated to 1.3.2

* Thu Oct 24 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 3d0ec8e
- up to 1.3.1
  security:
[ 1 ] CVE-2011-1923
      http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-1923
[ 2 ] CVE-2012-2130
      http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-2130
[ 3 ] CVE-2013-0169
      http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-0169
[ 4 ] CVE-2013-1621
      http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-1621
[ 5 ] CVE-2013-4623
      http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-4623
[ 6 ] CVE-2013-5915
      http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-5915

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 8889296
- updated to 1.2.8

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 124e17c
- updated to 1.2.7

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> fd2a3b6
- updated to 1.2.6

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> be4757f
- updated to 1.2.5

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> c6c4147
- updated to 1.2.4
- removed obsolete cmake patches

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 55a6f49
- pl

* Sat Apr 16 2011 Elan Ruusamäe <glen@pld-linux.org> 71e3671
- new, from fedora package

